Rules (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.digester.Rules interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Interface Rules

All Known Implementing Classes:
  AbstractRulesImpl, RulesBase, WithDefaultsRulesWrapper

    public interface Rules

Public interface defining a collection of Rule instances (and corresponding matching patterns) plus an implementation of a matching policy that selects the rules that match a particular pattern of nested elements discovered during parsing.

Method Summary
`void` | `add(java.lang.String pattern, Rule rule)` Register a new Rule instance matching the specified pattern.
`void` | `clear()` Clear all existing Rule instance registrations.
`Digester` | `getDigester()` Return the Digester instance with which this Rules instance is associated.
`java.lang.String` | `getNamespaceURI()` Return the namespace URI that will be applied to all subsequently added `Rule` objects.
`java.util.List` | `match(java.lang.String pattern)` Deprecated. Call match(namespaceURI,pattern) instead.
`java.util.List` | `match(java.lang.String namespaceURI, java.lang.String pattern)` Return a List of all registered Rule instances that match the specified nesting pattern, or a zero-length List if there are no matches.
`java.util.List` | `rules()` Return a List of all registered Rule instances, or a zero-length List if there are no registered Rule instances.
`void` | `setDigester(Digester digester)` Set the Digester instance with which this Rules instance is associated.
`void` | `setNamespaceURI(java.lang.String namespaceURI)` Set the namespace URI that will be applied to all subsequently added `Rule` objects.

Method Detail

### getDigester

    Digester getDigester()

  Return the Digester instance with which this Rules instance is associated.

### setDigester

    void setDigester(Digester digester)

  Set the Digester instance with which this Rules instance is associated.

  Parameters:
    `digester` - The newly associated Digester instance

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Return the namespace URI that will be applied to all subsequently added `Rule` objects.

### setNamespaceURI

    void setNamespaceURI(java.lang.String namespaceURI)

  Set the namespace URI that will be applied to all subsequently added `Rule` objects.

  Parameters:
    `namespaceURI` - Namespace URI that must match on all subsequently added rules, or `null` for matching regardless of the current namespace URI

### add

    void add(java.lang.String pattern,
             Rule rule)

  Register a new Rule instance matching the specified pattern.

  Parameters:
    `pattern` - Nesting pattern to be matched for this Rule
    `rule` - Rule instance to be registered

### clear

    void clear()

  Clear all existing Rule instance registrations.

### match

    java.util.List match(java.lang.String pattern)

  Deprecated. Call match(namespaceURI,pattern) instead.

  Return a List of all registered Rule instances that match the specified nesting pattern, or a zero-length List if there are no matches. If more than one Rule instance matches, they must be returned in the order originally registered through the `add()` method.

  Parameters:
    `pattern` - Nesting pattern to be matched

### match

    java.util.List match(java.lang.String namespaceURI,
                         java.lang.String pattern)

  Return a List of all registered Rule instances that match the specified nesting pattern, or a zero-length List if there are no matches. If more than one Rule instance matches, they must be returned in the order originally registered through the `add()` method.

  Parameters:
    `namespaceURI` - Namespace URI for which to select matching rules, or `null` to match regardless of namespace URI
    `pattern` - Nesting pattern to be matched

### rules

    java.util.List rules()

  Return a List of all registered Rule instances, or a zero-length List if there are no registered Rule instances. If more than one Rule instance has been registered, they must be returned in the order originally registered through the `add()` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.